# Circe

`Circe` is a an IRC crate built to be as minimal as possible. It's currently work-in-progress, and more stuff is on its way!

## Getting started

To start using Circe, just add the crate to your `Cargo.toml`, and then follow the example below.

```rust
use circe::{Client, Config, Command};

fn main() -> Result<(), std::io::Error> {
    let config = Config::from_toml("config.toml")?;
    let mut client = Client::new(config)?;
    client.identify()?;

    loop {
        if let Ok(ref command) = client.read() {
            if let Command::OTHER(line) = command {
                print!("{}", line);
            }
        }    
    }
}
```

Happy hacking!